osgVolume::VolumeSettings Class Reference

`#include <VolumeSettings>`

Inheritance diagram for osgVolume::VolumeSettings:

## Public Types

enum | Technique { FixedFunction , RayTraced , MultiPass }
enum | ShadingModel { Standard , Light , Isosurface , MaximumIntensityProjection }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| VolumeSettings ()
| VolumeSettings (const VolumeSettings &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgVolume, VolumeSettings)
virtual void | accept (PropertyVisitor &pv)
virtual void | traverse (PropertyVisitor &pv)
void | setFilename (const std::string &str)
const std::string & | getFilename () const
void | setTechnique (Technique technique)
Technique | getTechnique () const
void | setShadingModel (ShadingModel sm)
ShadingModel | getShadingModel () const
void | setSampleRatio (float sr)
float | getSampleRatio () const
void | setSampleRatioWhenMoving (float sr)
float | getSampleRatioWhenMoving () const
void | setCutoff (float co)
float | getCutoff () const
void | setTransparency (float t)
float | getTransparency () const
SampleRatioProperty * | getSampleRatioProperty ()
const SampleRatioProperty * | getSampleRatioProperty () const
SampleRatioWhenMovingProperty * | getSampleRatioWhenMovingProperty ()
const SampleRatioWhenMovingProperty * | getSampleRatioWhenMovingProperty () const
AlphaFuncProperty * | getCutoffProperty ()
const AlphaFuncProperty * | getCutoffProperty () const
TransparencyProperty * | getTransparencyProperty ()
const TransparencyProperty * | getTransparencyProperty () const
IsoSurfaceProperty * | getIsoSurfaceProperty ()
const IsoSurfaceProperty * | getIsoSurfaceProperty () const
Public Member Functions inherited from osgVolume::Property
| Property ()
| Property (const Property &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgVolume, Property)
void | dirty ()
void | setModifiedCount (unsigned int c)
unsigned int | getModifiedCount () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~VolumeSettings ()
Protected Member Functions inherited from osgVolume::Property
virtual | ~Property ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _filename
Technique | _technique
ShadingModel | _shadingModel
osg::ref_ptr< SampleRatioProperty > | _sampleRatioProperty
osg::ref_ptr< SampleRatioWhenMovingProperty > | _sampleRatioWhenMovingProperty
osg::ref_ptr< AlphaFuncProperty > | _cutoffProperty
osg::ref_ptr< TransparencyProperty > | _transparencyProperty
osg::ref_ptr< IsoSurfaceProperty > | _isoSurfaceProperty
Protected Attributes inherited from osgVolume::Property
unsigned int | _modifiedCount
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Enumeration Documentation

## ShadingModel

enum osgVolume::VolumeSettings::ShadingModel

Enumerator
Standard |
Light |
Isosurface |
MaximumIntensityProjection |

## Technique

enum osgVolume::VolumeSettings::Technique

Enumerator
FixedFunction |
RayTraced |
MultiPass |

## Constructor & Destructor Documentation

## VolumeSettings() [1/2]

osgVolume::VolumeSettings::VolumeSettings | ( |  | ) |

Referenced by META_Object(), and VolumeSettings().

## VolumeSettings() [2/2]

osgVolume::VolumeSettings::VolumeSettings | ( | const VolumeSettings & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References osg::CopyOp::SHALLOW_COPY, and VolumeSettings().

## ~VolumeSettings()

virtual osgVolume::VolumeSettings::~VolumeSettings | ( |  | ) |

inline protected virtual

## Member Function Documentation

## accept()

virtual void osgVolume::VolumeSettings::accept | ( | PropertyVisitor & | pv | ) |

virtual

Reimplemented from osgVolume::Property.

## getCutoff()

float osgVolume::VolumeSettings::getCutoff | ( |  | ) | const

inline

References _cutoffProperty.

## getCutoffProperty() [1/2]

AlphaFuncProperty * osgVolume::VolumeSettings::getCutoffProperty | ( |  | ) |

inline

References _cutoffProperty.

## getCutoffProperty() [2/2]

const AlphaFuncProperty * osgVolume::VolumeSettings::getCutoffProperty | ( |  | ) | const

inline

References _cutoffProperty.

## getFilename()

const std::string & osgVolume::VolumeSettings::getFilename | ( |  | ) | const

inline

References _filename.

## getIsoSurfaceProperty() [1/2]

IsoSurfaceProperty * osgVolume::VolumeSettings::getIsoSurfaceProperty | ( |  | ) |

inline

References _isoSurfaceProperty.

## getIsoSurfaceProperty() [2/2]

const IsoSurfaceProperty * osgVolume::VolumeSettings::getIsoSurfaceProperty | ( |  | ) | const

inline

References _isoSurfaceProperty.

## getSampleRatio()

float osgVolume::VolumeSettings::getSampleRatio | ( |  | ) | const

inline

References _sampleRatioProperty.

## getSampleRatioProperty() [1/2]

SampleRatioProperty * osgVolume::VolumeSettings::getSampleRatioProperty | ( |  | ) |

inline

References _sampleRatioProperty.

## getSampleRatioProperty() [2/2]

const SampleRatioProperty * osgVolume::VolumeSettings::getSampleRatioProperty | ( |  | ) | const

inline

References _sampleRatioProperty.

## getSampleRatioWhenMoving()

float osgVolume::VolumeSettings::getSampleRatioWhenMoving | ( |  | ) | const

inline

References _sampleRatioWhenMovingProperty.

## getSampleRatioWhenMovingProperty() [1/2]

SampleRatioWhenMovingProperty * osgVolume::VolumeSettings::getSampleRatioWhenMovingProperty | ( |  | ) |

inline

References _sampleRatioWhenMovingProperty.

## getSampleRatioWhenMovingProperty() [2/2]

const SampleRatioWhenMovingProperty * osgVolume::VolumeSettings::getSampleRatioWhenMovingProperty | ( |  | ) | const

inline

References _sampleRatioWhenMovingProperty.

## getShadingModel()

ShadingModel osgVolume::VolumeSettings::getShadingModel | ( |  | ) | const

inline

References _shadingModel.

## getTechnique()

Technique osgVolume::VolumeSettings::getTechnique | ( |  | ) | const

inline

References _technique.

## getTransparency()

float osgVolume::VolumeSettings::getTransparency | ( |  | ) | const

inline

References _transparencyProperty.

## getTransparencyProperty() [1/2]

TransparencyProperty * osgVolume::VolumeSettings::getTransparencyProperty | ( |  | ) |

inline

References _transparencyProperty.

## getTransparencyProperty() [2/2]

const TransparencyProperty * osgVolume::VolumeSettings::getTransparencyProperty | ( |  | ) | const

inline

References _transparencyProperty.

## META_Object()

osgVolume::VolumeSettings::META_Object | ( | osgVolume | ,
|  | VolumeSettings | )

References VolumeSettings().

## setCutoff()

void osgVolume::VolumeSettings::setCutoff | ( | float | co | ) |

## setFilename()

void osgVolume::VolumeSettings::setFilename | ( | const std::string & | str | ) |

inline

References _filename, and osgVolume::Property::dirty().

## setSampleRatio()

void osgVolume::VolumeSettings::setSampleRatio | ( | float | sr | ) |

inline

References _sampleRatioProperty, and osgVolume::Property::dirty().

## setSampleRatioWhenMoving()

void osgVolume::VolumeSettings::setSampleRatioWhenMoving | ( | float | sr | ) |

inline

References _sampleRatioWhenMovingProperty, and osgVolume::Property::dirty().

## setShadingModel()

void osgVolume::VolumeSettings::setShadingModel | ( | ShadingModel | sm | ) |

inline

References _shadingModel, and osgVolume::Property::dirty().

## setTechnique()

void osgVolume::VolumeSettings::setTechnique | ( | Technique | technique | ) |

inline

References _technique, and osgVolume::Property::dirty().

## setTransparency()

void osgVolume::VolumeSettings::setTransparency | ( | float | t | ) |

inline

References _transparencyProperty, and osgVolume::Property::dirty().

## traverse()

virtual void osgVolume::VolumeSettings::traverse | ( | PropertyVisitor & | pv | ) |

virtual

Reimplemented from osgVolume::Property.

## Member Data Documentation

## _cutoffProperty

osg::ref_ptr<AlphaFuncProperty> osgVolume::VolumeSettings::_cutoffProperty

protected

Referenced by getCutoff(), getCutoffProperty(), and getCutoffProperty().

## _filename

std::string osgVolume::VolumeSettings::_filename

protected

Referenced by getFilename(), and setFilename().

## _isoSurfaceProperty

osg::ref_ptr<IsoSurfaceProperty> osgVolume::VolumeSettings::_isoSurfaceProperty

protected

Referenced by getIsoSurfaceProperty(), and getIsoSurfaceProperty().

## _sampleRatioProperty

osg::ref_ptr<SampleRatioProperty> osgVolume::VolumeSettings::_sampleRatioProperty

protected

Referenced by getSampleRatio(), getSampleRatioProperty(), getSampleRatioProperty(), and setSampleRatio().

## _sampleRatioWhenMovingProperty

osg::ref_ptr<SampleRatioWhenMovingProperty> osgVolume::VolumeSettings::_sampleRatioWhenMovingProperty

protected

Referenced by getSampleRatioWhenMoving(), getSampleRatioWhenMovingProperty(), getSampleRatioWhenMovingProperty(), and setSampleRatioWhenMoving().

## _shadingModel

ShadingModel osgVolume::VolumeSettings::_shadingModel

protected

Referenced by getShadingModel(), and setShadingModel().

## _technique

Technique osgVolume::VolumeSettings::_technique

protected

Referenced by getTechnique(), and setTechnique().

## _transparencyProperty

osg::ref_ptr<TransparencyProperty> osgVolume::VolumeSettings::_transparencyProperty

protected

Referenced by getTransparency(), getTransparencyProperty(), getTransparencyProperty(), and setTransparency().

The documentation for this class was generated from the following file:

- VolumeSettings